import { r as registerInstance, e as createEvent, h } from './index-dcaa9647.js';

const bscSLocatorCss = ":root{--main400:#0071bc;--accent000:#ffffff;--accent100:#EAEAEA;--mainfont:\"Proxima Nova\", Arial, sans-serif}@font-face{font-family:\"Proxima Nova\";src:url('https://www.caremark.com/portal/css/whitelabel/fonts/bsc/proximanova-regular-webfont.woff') format('woff');font-weight:400;font-style:normal}.element-container{display:block;font-family:var(--mainfont)}.element-header{font-weight:400;font-size:24px}.element-content{padding:10px}.element-intro{margin-bottom:10px;font-size:14px;background-color:var(--accent100)}.element-input{background-color:var(--main400);padding:5px 20px 20px 20px;margin-bottom:10px;display:block}.zipcode-label{color:var(--accent000);display:flex}.zipcode-input{width:98%;margin-top:5px;padding-left:10px;margin-bottom:20px;height:24px}.zipcode-input:hover{border-color:var(--accent100)}.element-actions{display:flex;justify-content:center;align-items:center}.search-button{background-color:var(--main400);border:1px solid var(--main400);color:var(--accent000);font-weight:bold;height:24px;margin-left:10px;margin-right:10px;cursor:pointer}.search-button:hover{background-color:var(--accent000);color:var(--main400)}.clear-button{border:none!important;background:none !important;text-decoration:underline;margin-left:10px;margin-right:10px;cursor:pointer}";

const defaultCvsSLocatorCss = ":root{--main400:#CC0000;--accent000:#ffffff;--accent100:#F0F0F0;--mainfont:\"Helvetica Neue\", Helvetica, Arial, sans-serif}.element-container{display:block;font-family:var(--mainfont)}.element-header{font-weight:400;font-size:24px}.element-content{padding:10px}.element-intro{margin-bottom:10px;font-size:14px;background-color:var(--accent100)}.element-input{background-color:var(--main400);padding:5px 20px 20px 20px;margin-bottom:10px;display:block}.zipcode-label{color:var(--accent000);display:flex}.zipcode-input{width:98%;margin-top:5px;padding-left:10px;margin-bottom:20px;height:24px}.zipcode-input:hover{border-color:var(--accent100)}.element-actions{display:flex;justify-content:center;align-items:center}.search-button{background-color:var(--main400);border:1px solid var(--main400);color:var(--accent000);font-weight:bold;height:24px;margin-left:10px;margin-right:10px;cursor:pointer}.search-button:hover{background-color:var(--accent000);color:var(--main400)}.clear-button{border:none!important;background:none !important;text-decoration:underline;margin-left:10px;margin-right:10px;cursor:pointer}";

let SLocator = class {
  constructor(hostRef) {
    registerInstance(this, hostRef);
    this.search = createEvent(this, "search", 7);
    this.name = "Store Locator";
  }
  componentDidLoad() {
    console.log(this.name);
  }
  onSearch() {
    this.search.emit({ value: this.zipCode });
  }
  clear() {
    this.zipCode = '';
  }
  handleChange(event) {
    this.zipCode = event.target.value;
  }
  render() {
    return (h("div", { class: 'element-container' }, h("h2", { class: 'element-header' }, " ", this.name), h("div", { class: 'element-content' }, h("div", { class: 'element-intro' }, "PLEASE NOTE: Many of our in-network pharmacies are helping the government administer the COVID-19 vaccines, including pharmacy chains and community pharmacies."), h("div", { class: 'element-input' }, h("label", { class: 'zipcode-label' }, "Please enter your zip-code to find the nearest stores"), h("input", { class: 'zipcode-input', placeholder: 'Zip-code in 5 digits', value: this.zipCode, onInput: (event) => this.handleChange(event) })), h("div", { class: 'element-actions' }, h("button", { class: 'search-button', onClick: () => this.onSearch() }, "Search"), h("button", { class: 'clear-button', onClick: () => this.clear() }, "Clear")))));
  }
};
SLocator.style = {
  bsc: bscSLocatorCss,
  default: defaultCvsSLocatorCss
};

export { SLocator as s_locator };
